aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorHarald Eilertsen <haraldei@anduin.net>2024-11-12 17:58:11 +0100
committerHarald Eilertsen <haraldei@anduin.net>2024-11-12 17:58:11 +0100
commitd2050e0ce5c3339a6f4f4f3d1d947078a28f444c (patch)
tree2b401b768ecc19f1ad627b153a3b19f3304e4028
parentfd2ffd373bc5a50c9b7d51e944fbcff91c12f846 (diff)
downloadhubzilla-ddev-main.tar.gz
hubzilla-ddev-main.tar.bz2
hubzilla-ddev-main.zip
Add ddev phpstan command to run phpstan in the container.main
-rwxr-xr-x.ddev/commands/web/phpstan9
1 files changed, 9 insertions, 0 deletions
diff --git a/.ddev/commands/web/phpstan b/.ddev/commands/web/phpstan
new file mode 100755
index 0000000..35c7f88
--- /dev/null
+++ b/.ddev/commands/web/phpstan
@@ -0,0 +1,9 @@
+#!/usr/bin/env bash
+
+## Description: Run phpstan in the ddev environment
+## Usage: phpstan [options] [paths]
+## Example: ddev phpstan --error-format=raw > errors.log
+
+set -e
+
+./vendor/bin/phpstan $*